-- 定义临时的组织、人员、角色
  
set @org = 'org007';
set @person = 'sys007';
set @role = 'role007';

-- 删除重复的数据
delete from SA_OPPerson where sID = @person;
delete from SA_OPOrg where sFID like concat('/', @org, '.ogn%');
delete from SA_OPRole where sID = @role;
delete from SA_OPPermission where sPermissionRoleID = @role;
delete from SA_OPAuthorize where sAuthorizeRoleID = @role;

-- 生成组织和人员
insert into SA_OPOrg (sParent, sID, sName, sCode, sFID, sFName, sFCode, sOrgKindID, sValidState, version)
values (null, @org, @org, @org, concat('/', @org, '.ogn'), concat('/', @org), concat('/', @org), 'ogn', 1, 0);
	
insert into SA_OPOrg (sParent, sID, sName, sCode, sFID, sFName, sFCode, sOrgKindID, sValidState, version, sPersonID)
values (@org, concat(@person, '@', @org), @person, @person, concat('/', @org, '.ogn/', @person, '@', @org, '.psm'), concat('/', @org, '/', @person), concat('/', @org, '/', @person), 'psm', 1, 0, @person);

insert into SA_OPPerson (sID, sName, sCode, sPassword, sMainOrgID, sValidState, sNumb, version)
values (@person, @person, @person, 'E10ADC3949BA59ABBE56E057F20F883E', @org, 1, 0, 0);

-- 生成角色和权限
insert into SA_OPRole (sID, sName, sCode, sCatalog, sRoleKind, sParentRolesNames, sDescription, sSequence, sValidState, version)
values (@role, @role, @role, @role, 'fun', null, null, 0, 1, 0);

insert into SA_OPPermission (sID, sPermissionRoleID, sProcess, sActivityFName, sActivity, sPermissionKind, sValidState, version)
values (concat(@role, '01'), @role, '/SA/OPM/organization/organizationProcess', '/协同平台/组织机构/组织管理', 'mainActivity', 0, 1, 0);
insert into SA_OPPermission (sID, sPermissionRoleID, sProcess, sActivityFName, sActivity, sPermissionKind, sValidState, version)
values (concat(@role, '02'), @role, '/SA/OPM/role/roleProcess', '/协同平台/组织机构/角色管理', 'mainActivity', 0, 1, 0);
insert into SA_OPPermission (sID, sPermissionRoleID, sProcess, sActivityFName, sActivity, sPermissionKind, sValidState, version)
values (concat(@role, '03'), @role, '/SA/OPM/authorization/authorizationProcess', '/协同平台/组织机构/按组织授权', 'mainActivity', 0, 1, 0);

-- 授权
insert into SA_OPAuthorize (sID, sOrgFID, sOrgFName, sOrgID, sOrgName, sAuthorizeRoleID, version)
values (concat(@role, '@', @person), concat('/', @org, '.ogn/', @person, '@', @org, '.psm'), concat('/', @org, '/', @person), concat(@person, '@', @org), @person, @role, 0);